

Patch from Andries.Brouwer@cwi.nl

Removes the last occurrence of B_FREE.


 drivers/video/pm3fb.c |    2 +-
 include/video/pm3fb.h |    5 -----
 2 files changed, 1 insertion(+), 6 deletions(-)

diff -puN drivers/video/pm3fb.c~dev_t-remove-B_FREE drivers/video/pm3fb.c
--- 25/drivers/video/pm3fb.c~dev_t-remove-B_FREE	2003-03-23 02:11:26.000000000 -0800
+++ 25-akpm/drivers/video/pm3fb.c	2003-03-23 02:11:26.000000000 -0800
@@ -1602,7 +1602,7 @@ static void pm3fb_common_init(struct pm3
 	disp[l_fb_info->board_num].scrollmode = 0;	/* SCROLL_YNOMOVE; *//* 0 means "let fbcon choose" */
 	l_fb_info->gen.parsize = sizeof(struct pm3fb_par);
 	l_fb_info->gen.info.changevar = NULL;
-	l_fb_info->gen.info.node = B_FREE;
+	l_fb_info->gen.info.node = NODEV;
 	l_fb_info->gen.info.fbops = &pm3fb_ops;
 	l_fb_info->gen.info.disp = &(disp[l_fb_info->board_num]);
 	if (fontn[l_fb_info->board_num][0])
diff -puN include/video/pm3fb.h~dev_t-remove-B_FREE include/video/pm3fb.h
--- 25/include/video/pm3fb.h~dev_t-remove-B_FREE	2003-03-23 02:14:01.000000000 -0800
+++ 25-akpm/include/video/pm3fb.h	2003-03-23 02:14:20.000000000 -0800
@@ -1147,11 +1147,6 @@
 #define MUST_BYTESWAP
 #endif
 
-/* for compatibility between 2.5, 2.4 and 2.2 */
-#ifndef B_FREE
-#define B_FREE   -1
-#endif
-
 /* permedia3 -specific definitions */
 #define PM3_SCALE_TO_CLOCK(pr, fe, po) ((2 * PM3_REF_CLOCK * fe) / (pr * (1 << (po))))
 

_
